GNU bug report logs - #54648
27.2; Cannot autoload iter-defun

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Leo Liu <sdl.web@HIDDEN>; Keywords: patch; dated Thu, 31 Mar 2022 07:42:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Added tag(s) patch. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 54648 <at> debbugs.gnu.org:


Received: (at 54648) by debbugs.gnu.org; 2 Apr 2022 13:04:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 02 09:04:25 2022
Received: from localhost ([127.0.0.1]:44839 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nadQX-00041L-Mr
	for submit <at> debbugs.gnu.org; Sat, 02 Apr 2022 09:04:25 -0400
Received: from quimby.gnus.org ([95.216.78.240]:48762)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nadQV-000418-Vx
 for 54648 <at> debbugs.gnu.org; Sat, 02 Apr 2022 09:04:24 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=2q8xk/SoaNZ0S6uTyKliEqlQem+m7jcZU22gvnnMzrE=; b=UnYnSflUMMh35gakAJWBm3pfrp
 EYpveNSldWE5hOHlyLWUYD5UawMzGZFRM5ufwsxpxV3jC7u/VV/q5q+4AhkE3HSIslgitb4qMQE3W
 DSjNbRZtNN09G2g0xaFYl5vInGpkYDFX9XT3++vjytqM6o+4Luh1oFurIQV0C8lV6l00=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nadQN-0005NG-Lw; Sat, 02 Apr 2022 15:04:17 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#54648: 27.2; Cannot autoload iter-defun
References: <m18rsqtvq8.fsf@HIDDEN> <87a6d68j9k.fsf@HIDDEN>
 <m14k3etiva.fsf@HIDDEN> <87o81mmhy8.fsf@HIDDEN>
 <8735iwza05.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAD1BMVEUqDw9LKCJlSj2J
 ZE////8W/0//AAAAAWJLR0QEj2jZUQAAAAd0SU1FB+YEAg0CAGmuzaUAAAHESURBVDjLdVQBcsMw
 CIPsA4h+IHY+0Hb//9skcNJ2u/naix1AgIRjBriZIcxcfx08Axba8o2VAXPWAdDZegUNmSbfOvZb
 rD+PW8x9uVpszLFc/LlnbYdcNzQYH46oDAltC8bsMVVCeCqAhkZx80eloRvTT6/6uY7dZlWJOjd6
 dRHmZViOZ2UuTHYbK+LqxB7VD8LHKj2se9XThp8NiaqTFO+UuBLA/lkXuQ3jfxzQ9Z6mKjtUK8J/
 QSwv9N6330mrQMZSss88G6W1wJD2q9SGGIEEf5UFkyzgducOmPk9PdW9Wx6MpRdD5jHmMx1jm1Lw
 gWS8mNBDQuMm0TUFzET0QfghUeESTDrSHz4GITlZPJa0B1TjnpS6GBmLFU6P41lAzd9qreZZYBnZ
 49cBsXyGdPZhI5rYNrIv4jRFH2MgvntaL8ObJu1Udrzp7a1UH9DecTrWbZvXbai6Z0QXaB4vbNLj
 WOqJSj9Hv/JFK+Z2xiorLGIl8zWthcemo+50NfvWg/Soqx+7DC14TaXj6066lCeuGe0BTIk+Fkvn
 jXcVSNuuLwK3aPL6++Kpi4S9+6+6vOTVNJP9eH051qXDNiwyXoxy/QDYwh+ZLUDeWQAAACV0RVh0
 ZGF0ZTpjcmVhdGUAMjAyMi0wNC0wMlQxMzowMjowMCswMDowMGg02nYAAAAldEVYdGRhdGU6bW9k
 aWZ5ADIwMjItMDQtMDJUMTM6MDI6MDArMDA6MDAZaWLKAAAAAElFTkSuQmCC
X-Now-Playing: Breathless's _Three Times And Waving_: "Sold Down The River"
Date: Sat, 02 Apr 2022 15:04:14 +0200
In-Reply-To: <8735iwza05.fsf@HIDDEN> (Michael Heerdegen's message of "Sat, 02
 Apr 2022 00:58:34 +0200")
Message-ID: <87lewnljqp.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Michael Heerdegen <michael_heerdegen@HIDDEN> writes: > This
 seems to work: Looks good to me. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 54648
Cc: 54648 <at> debbugs.gnu.org, Leo Liu <sdl.web@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Michael Heerdegen <michael_heerdegen@HIDDEN> writes:

> This seems to work:

Looks good to me.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#54648; Package emacs. Full text available.

Message received at 54648 <at> debbugs.gnu.org:


Received: (at 54648) by debbugs.gnu.org; 2 Apr 2022 11:16:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 02 07:16:12 2022
Received: from localhost ([127.0.0.1]:44746 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nabjo-0005RR-9c
	for submit <at> debbugs.gnu.org; Sat, 02 Apr 2022 07:16:12 -0400
Received: from mail-pj1-f50.google.com ([209.85.216.50]:33240)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sdl.web@HIDDEN>) id 1nabjm-0005RE-JW
 for 54648 <at> debbugs.gnu.org; Sat, 02 Apr 2022 07:16:10 -0400
Received: by mail-pj1-f50.google.com with SMTP id
 mp11-20020a17090b190b00b001c79aa8fac4so6771601pjb.0
 for <54648 <at> debbugs.gnu.org>; Sat, 02 Apr 2022 04:16:10 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:references:face:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=uQ0qjZEzfg48hUveSRqoBN96licPZok4Y3HHF/CK8cI=;
 b=icQGRVsvppmrXB+AdaZHIiIuHwqI/DBmG9L05/kG6Xj03gz9hBle9to9hWd+ZzVdhg
 URAV3yfku4mGy5Jp4p7rBTS3YNxATlStjKmpwWo6hweOGG0TxsmsWlMANH1Kz+sbr1Ia
 2enGJS4aKQkR6lsb5vWS25gNx9gqefQnUmgviZOdwi1RzCuDpMRwBFl+stz1iVzM2UKz
 03OFXeJDEwK0LHPCD5JkqR5pc0AFsRPo4MRRiXtVl2OtYdZS8wQVz6lOOgdBiq1yRyQK
 h5t8728ci1pryp+iGzjLGAX4Dw0Gd4H0u8NcRaN5+Xn8l63AtO6d0F81e7m8Ps/PhpPz
 WBcw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:face:date
 :in-reply-to:message-id:user-agent:mime-version;
 bh=uQ0qjZEzfg48hUveSRqoBN96licPZok4Y3HHF/CK8cI=;
 b=SqKXITT45LYqisBvP4WOk64d4j/VzpZNjkIWgrhwtGGgnOZ6rSAmR8C58wwf+rhcju
 5YfQRv++pKjuWef2gYQl9V52/8pB0Vgj/fKLMt4231itjRU3mm/FBd7liYBqwYay0I17
 yzbzPv3qxZla6RpXl2L57abEjgtyT3UFeV2+urGWUoVjujN3MU1LuM9fRkXcKKXU42HS
 4e10oWNPrUJT9JbzxbSUEGRycctlZmFKz35vk9Z56tZJdQIdHRFokkhMtc/7PPZUpx0T
 Yx9oA1HtErnufWSEqMKrikzAx7jjPHMOEwc5lfozW5it3U8DZDGayeWoneST3J4HSx9B
 Omyg==
X-Gm-Message-State: AOAM5326oVX4gxEfa1pTlbfF0XJ8eShKayHPTZ+Gy6GWQ0gAzLW1WZAW
 0Df3ybzd9W8yow1VL4l6ZJ8QKOZujQnoT1fW
X-Google-Smtp-Source: ABdhPJyctZCsb6ZgwiKzt82EcIZN5nXn5isLomCgKO51grqzMH6Cu4M/cr7jV93PguvraJ+ipBaRPQ==
X-Received: by 2002:a17:903:11cc:b0:151:71e4:dadc with SMTP id
 q12-20020a17090311cc00b0015171e4dadcmr14413725plh.78.1648898164384; 
 Sat, 02 Apr 2022 04:16:04 -0700 (PDT)
Received: from zeuss-MacBook-Air.local ([119.92.1.225])
 by smtp.gmail.com with ESMTPSA id
 c9-20020aa78c09000000b004fdac35673bsm5959971pfd.147.2022.04.02.04.16.01
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 02 Apr 2022 04:16:03 -0700 (PDT)
From: Leo Liu <sdl.web@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: Re: bug#54648: 27.2; Cannot autoload iter-defun
References: <m18rsqtvq8.fsf@HIDDEN> <87a6d68j9k.fsf@HIDDEN>
 <m14k3etiva.fsf@HIDDEN> <87o81mmhy8.fsf@HIDDEN>
 <8735iwza05.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAACkAAAApAQAAAACAGz1bAAABKElEQVQYlWNg3NIt5FDPUPt7
 4+X79Qyucz5/ugik+L2PBgKpyphaIK921q23QDnG0NBQoMr/vaWl9f8ZLL78uPv5PwN7RETfzXoG
 jhmFz27XM0RXmpuY/WfY+fv0Mc56BvFybfXA/wwL5t/wF61n2PU59axXPcOVzbmSW/8zrNt1benC
 /ww70hqUU/4zKCtrT9jwn8FhwynbufUMendE2aLqGRpdX9al1zM8eh17lKeeQcTMrdD5P8P3j/YT
 Q/8zXHSb7p1Qz/C4OM2JuZ7hgtI7K6AjqsMnf8j4z8C6xG1tw3+GqpqvsVn/GTzmpD9j/8/wP/oZ
 S/l/Bka+QO/g/wy15ueeFQL9N1O8mPU/g+umV3t1gdT0/1bTgHLqYVeXAlWKpMWt+w8Az82C9nHf
 X0cAAAAASUVORK5CYII=
Date: Sat, 02 Apr 2022 19:15:59 +0800
In-Reply-To: <8735iwza05.fsf@HIDDEN> (Michael Heerdegen's message of "Sat, 02
 Apr 2022 00:58:34 +0200")
Message-ID: <m1pmlzbus0.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (macOS 11.6.5)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54648
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, 54648 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 2022-04-02 00:58 +0200, Michael Heerdegen wrote:
> This seems to work.

Looks good. Forgot only whitelisted macros are expanded. BTW could you
also include cl-iter-defun there?

Thanks,
Leo




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#54648; Package emacs. Full text available.

Message received at 54648 <at> debbugs.gnu.org:


Received: (at 54648) by debbugs.gnu.org; 1 Apr 2022 22:58:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 01 18:58:43 2022
Received: from localhost ([127.0.0.1]:43895 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1naQE7-0002xs-K9
	for submit <at> debbugs.gnu.org; Fri, 01 Apr 2022 18:58:43 -0400
Received: from mout.web.de ([212.227.15.14]:36481)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1naQE5-0002xf-Ry
 for 54648 <at> debbugs.gnu.org; Fri, 01 Apr 2022 18:58:42 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1648853915;
 bh=m2EOBb/+kaJIIfnNawrw6CzbgZbbsjtMqHPf/jMrrc8=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=n8xS0vPHCTMcqt38Q9gMwV3/72kP1vxz1DgAO+pREik5BScFa+zV89RBssn+rF8Bz
 n16j2gofmDpv1W7DwDhWExt6OB8P9pEHVpG7JlEK1NtEg+59woWetDb8BhC+2fTHLS
 MAS2lBYPRn+z7BPN/iaCvNgRYFHIDfiZiX/R6Wm0=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([84.59.210.63]) by smtp.web.de (mrweb005
 [213.165.67.108]) with ESMTPSA (Nemesis) id 1Mvbik-1nqIuq43mw-00sWmB; Sat, 02
 Apr 2022 00:58:35 +0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#54648: 27.2; Cannot autoload iter-defun
References: <m18rsqtvq8.fsf@HIDDEN> <87a6d68j9k.fsf@HIDDEN>
 <m14k3etiva.fsf@HIDDEN> <87o81mmhy8.fsf@HIDDEN>
Date: Sat, 02 Apr 2022 00:58:34 +0200
In-Reply-To: <87o81mmhy8.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Thu,
 31 Mar 2022 14:20:47 +0200")
Message-ID: <8735iwza05.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Provags-ID: V03:K1:KlurDFBjtfWAjeWufxH6iRZDuEJCNP/h/IyM0zNQU938os4RcKU
 etHz3TgTQLjlQGEQr0XNfqjVcPUNPnIlnzs0ecQy7KJxGdOZrfAHedDVfW7Pr5yvKZ1ba6F
 m1WwijAIXIkc4/cjdqI282UKmJ4sndwdFHRlNmEG+xi6+6zVYx/o0CG1RgfHNiT7Z1Falyr
 PWDT1Xy6qhlxHSvBifxIQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:KiSlDH7cPqk=:lAklBFy2YpUGIsgZmd3NEZ
 cZ8gah+L7VEZpUtghKtybiOdhYAm/OfBElN/g1zk0iP5w/xGciOhC20lptnNRuPuJMpeyVLud
 8+BzecobIYV7GdWTcm9P7qVqaKju9x0+qu2eEHoyWULfgWR+QQvl41meETgmxhMm6gNaW5k5M
 gc0XR6iqR5dqSUJbkDOzCMezu2DFfBZZndQHIvhYF5xe5bIVW3guUOD2WieE3koHFrdojytQ/
 FsaHMqWEXE6hexuUGkwG2RBvwpd2vovGwJyCSeUbq6oeck1C7WfRYpvyb7tjfZi0nxCpn235K
 mg/OGOoFjbd6DVmkScX2xSc372ZCeif5HmzY28NTHdbY0WJpytSRMFK/suNoh9Qp7ECpJsBOX
 y5biwbG+TCqvAqMXGUPXFvmp1m7m81TRn2E8MIA/d4vheLQjJcJ4SlX+C/8twX9UWIB//1bF1
 XJLThd0ioLnpgTXU0pIKBXXFYrEevSr2pKdcVfBhzd0l3N+p7eSitAadjXK9oRN97vTSmctUK
 8Y1HdpIoxw0ubIMbljwHMc8p3Cp4Sp5n14bwAXd2CVueMkqqfDSrsN5mYAV97GSsxw2DrEHkZ
 mQAtwgGdd6MHxnqJmfzbSi0csdrK6kOyh878m2dyWV9w2q1uRbmnQlQPp9sbAF5ctFquA8bkO
 uxpQ8sSibMnPhCfLXj7+7vBmmvQMjdT7BEup7rhzVJ++q2aMrpc2IfVLJwxBTBd33e+Bw+NwS
 mvJOgYAsmVL9KcwA4Sqt82OuO6mGRMkzNQoBTFCv54EpiIDiGt34ETXH7Qw7/97I6zBER1XeP
 /6yLXW+/2FSwEgosbml83AteTxvCBhnoomj1gxd93NV+Yo6hTHZBV93lHZ+oxZGeJNmCegI4H
 mO8JhL+y0fsUIOsE2lWlClop/sADAHSNDapGROnNljF28nAmrIQ78nimukymZzOZ6DjlGR2FZ
 PHrzXYIq9gu+9w+YfZMPeP4mEKMZvBzcCqVC4WtZhUmD0xAPqQYhioDw8oofXGNTj7IxMwIgr
 1wJHcPyaK2V9PpD6Eh1WrNRE+bN5ulmyuuJN3CJUhYYY4KTt4+ISBsklFhxM6w7Y36C6wtA3V
 aLlDBv6f4SiSME=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 54648
Cc: 54648 <at> debbugs.gnu.org, Leo Liu <sdl.web@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Leo Liu <sdl.web@HIDDEN> writes:
>
> > I think the bigger issue is copying the definition verbatim to loaddefs.
> > It should be handled like `defun' i.e. only the name is copied.
>
> Yeah, that's true, I guess.

This seems to work:


--=-=-=
Content-Type: text/x-diff
Content-Disposition: inline; filename=0001-WIP-Fix-54648.patch
Content-Transfer-Encoding: quoted-printable

=46rom 933e969c95e95cf8612b0dd99836f1c0d6b7e3d1 Mon Sep 17 00:00:00 2001
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
Date: Sat, 2 Apr 2022 00:56:09 +0200
Subject: [PATCH] WIP: Fix 54648

=2D--
 lisp/emacs-lisp/autoload.el | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/lisp/emacs-lisp/autoload.el b/lisp/emacs-lisp/autoload.el
index 1e4b2c14a0..82956375bd 100644
=2D-- a/lisp/emacs-lisp/autoload.el
+++ b/lisp/emacs-lisp/autoload.el
@@ -168,7 +168,7 @@ make-autoload
                        define-globalized-minor-mode defun defmacro
 		       easy-mmode-define-minor-mode define-minor-mode
                        define-inline cl-defun cl-defmacro cl-defgeneric
-                       cl-defstruct pcase-defmacro))
+                       cl-defstruct pcase-defmacro iter-defun))
            (macrop car)
 	   (setq expand (let ((load-true-file-name file)
                               (load-file-name file))
=2D-
2.30.2


--=-=-=
Content-Type: text/plain



Michael.

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#54648; Package emacs. Full text available.
bug No longer marked as fixed in versions 28.1 and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 54648 <at> debbugs.gnu.org:


Received: (at 54648) by debbugs.gnu.org; 31 Mar 2022 12:20:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 31 08:20:59 2022
Received: from localhost ([127.0.0.1]:38199 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nZtnP-0002A6-7d
	for submit <at> debbugs.gnu.org; Thu, 31 Mar 2022 08:20:59 -0400
Received: from quimby.gnus.org ([95.216.78.240]:53676)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nZtnN-00029p-Ml
 for 54648 <at> debbugs.gnu.org; Thu, 31 Mar 2022 08:20:58 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=kmcyoQeiI0BTLVS5lV+SPpfKE41xZKDV6BV+CX5N9bw=; b=lUVpDl/HqshO56cSepxPtR74I/
 hDB6LohfeiPSsrxf3VizyEAoNZg3Ddb+iuw0RA9QKFLdT00na30ifHDl7bf7PW5Msu6u/QnhcG9XZ
 CsX/dOBoSwvE5mXRHUk/r2SnqvRh+oSZ71zRImM2c94ZkWNQ4TG4p+VygtFx81kARk3g=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nZtnE-0003Qn-IF; Thu, 31 Mar 2022 14:20:50 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Leo Liu <sdl.web@HIDDEN>
Subject: Re: bug#54648: 27.2; Cannot autoload iter-defun
References: <m18rsqtvq8.fsf@HIDDEN> <87a6d68j9k.fsf@HIDDEN>
 <m14k3etiva.fsf@HIDDEN>
Date: Thu, 31 Mar 2022 14:20:47 +0200
In-Reply-To: <m14k3etiva.fsf@HIDDEN> (Leo Liu's message of "Thu, 31 Mar
 2022 20:19:05 +0800")
Message-ID: <87o81mmhy8.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Leo Liu <sdl.web@HIDDEN> writes: > I think the bigger
 issue
 is copying the definition verbatim to loaddefs. > It should be handled like
 `defun' i.e. only the name is copied. Yeah, that's true, I guess. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 54648
Cc: 54648 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Leo Liu <sdl.web@HIDDEN> writes:

> I think the bigger issue is copying the definition verbatim to loaddefs.
> It should be handled like `defun' i.e. only the name is copied.

Yeah, that's true, I guess.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#54648; Package emacs. Full text available.

Message received at 54648 <at> debbugs.gnu.org:


Received: (at 54648) by debbugs.gnu.org; 31 Mar 2022 12:19:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 31 08:19:18 2022
Received: from localhost ([127.0.0.1]:38194 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nZtll-00027J-TT
	for submit <at> debbugs.gnu.org; Thu, 31 Mar 2022 08:19:18 -0400
Received: from mail-pl1-f176.google.com ([209.85.214.176]:33317)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sdl.web@HIDDEN>) id 1nZtli-00026s-Qm
 for 54648 <at> debbugs.gnu.org; Thu, 31 Mar 2022 08:19:15 -0400
Received: by mail-pl1-f176.google.com with SMTP id c23so23270341plo.0
 for <54648 <at> debbugs.gnu.org>; Thu, 31 Mar 2022 05:19:14 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:references:face:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=EpgP5ZOxKJq7/snPuM1gqvjKMsevBkWRz73pIb4m8x4=;
 b=cIs2T+eqFAHcUZr3ibjgMUSeuDuxj72zOCH47wLY66vsFxE0A092SMAbAnepxU/AIv
 ac/mYrc4Iki2jcP89n006sJFSRcUgMNhVttQW4EzcXBcM5xsJTTL5ubypbsfwqxVu1uO
 J+TPmDM7lLjTwBML2eMfcCpsCvklohFKUaME0tUdOs0AvugW2Ce7rjmtq30fH6nFYnNH
 kMTkwMbwu7IMbiPpds8XRUPApPMXBQd5Fo4hZV31kciDnxoLHsreLW4K3N4c0cHrSrIm
 KveY/s/Ii05ugDf8Mt3pqPZ+R9kGIzAahwy56hSBFIBT2O3oEleyw9tHA/gZT3VcmNSz
 L3hA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:face:date
 :in-reply-to:message-id:user-agent:mime-version;
 bh=EpgP5ZOxKJq7/snPuM1gqvjKMsevBkWRz73pIb4m8x4=;
 b=M2bLVYtTAZdNtzqAiALGLGoqeVHIL9E7JfTp6dsmgq8OLp/InWBNevtVwyRAbXr8KE
 Hw7/jNQKVrqT7NPREHGH3ksXeYvHpAXh6Iovc2dG7mDc7AEsYayfz/R/ojNnBzlZ0UNT
 cxZa1X0rofrBuVO+0RXv9Xix9iM8xI7pcwEH8UhWuey8cF//u4jF3cu54/0ujezdtGQz
 lsyTFhAxGoIqXM347klh31XJOUfQ5Ndlajx2YKMy47bN8Q5/9IAIdQ865LwbMsTN10Pl
 ZWAXJa/F48G3aUOuF3h/ydgxsyq/F9oK4toXDNSciayt/w6o/je8ht6H/FY9xdTEap5c
 X/MA==
X-Gm-Message-State: AOAM531DVRBKVWUcVGjE585NPLptsb4Fse5e7N/DyQDnojsH6aHf0AwD
 Fo4V3fddDztXsdRHJXEZ+6qKNp1M8wWf9B+X
X-Google-Smtp-Source: ABdhPJygw5512RYmTl0ft3nf0OOGz3tOHlopPZXnOGkcgF7//75tCYL5lH7ywWOI2ri2YokmYx+OXg==
X-Received: by 2002:a17:902:f54c:b0:154:6794:ab18 with SMTP id
 h12-20020a170902f54c00b001546794ab18mr5218645plf.118.1648729148742; 
 Thu, 31 Mar 2022 05:19:08 -0700 (PDT)
Received: from zeuss-MacBook-Air.local ([119.92.1.225])
 by smtp.gmail.com with ESMTPSA id
 s6-20020a056a0008c600b004f667b8a6b6sm28034720pfu.193.2022.03.31.05.19.07
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 31 Mar 2022 05:19:08 -0700 (PDT)
From: Leo Liu <sdl.web@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#54648: 27.2; Cannot autoload iter-defun
References: <m18rsqtvq8.fsf@HIDDEN> <87a6d68j9k.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAACgAAAAoBAMAAAB+0KVeAAAAMFBMVEUaFRZLMy1dTENxVzKQ
 WiCrXQ97cmO/dSqSh3akjGTApXy5sJ7Sxo/Sz8Xo6eP9//xJbkruAAAAAWJLR0QAiAUdSAAAAAlw
 SFlzAAACxQAAAsUBidZ/7wAAAAd0SU1FB9cBBwMJOwHXewoAAAIBSURBVCjPVdNBiNNAFADQ6J4F
 x3hThHZBBC+WCFI8SS0iezRDcMHLHkLAg6gJH/fgYQ9xYlj2sLK4KHgqCgXFhda2Idmr4kkQPZQ0
 nkQMbTypbMmMM2m7ZgYSmMef/5OZPwo7HFnx3uKPcmj0Dht1LWZJ+Hvr7dIFZXRUwl9VRTuuKDJ+
 U44gjscknK4hhJaCkYRsWjmBtLqXlJAG2wipNe18OZJu1BBq1E8xafl4s6Jq2mUZGftU1y7CCxnp
 FVUDWJXx4C66BKBnErbuoaYNtoRTu6EZBsCbMn7W+5qOAR6WvxNOby9jHWC9hAf3n304CdiAByXs
 3Nh9roLDkyb/sWV712vYwaLSAn8CPMHIAAzOPDKP2COAFm4Y4ODVWc6xG7KXsN7UeUJjjimx2uwd
 gCgNhr0i8C/xyCD5CiCKAMY3Bf5oDzx//w/fimscdcAZU2jv9sedx6+nYPPFIoWI/GK6QZ+EFGOR
 ErAjCnV3vPZ7XqlTIMbOLY7fLcvvmT7rXNWaGDexIY44N12TG2PDp7vqyl57dnCeuWwyNpnEURxk
 fTbDYeBnKRn4oejPYI4sH6WviBumEZ/GxX4X/x6EcURFZ7E071bjQGAxpcOAEOJuTiroDEea5Szv
 rVWLYfl7ZiQwSUToxrkux7OLixAWGz22+HIyWTRYcVfomOwvzusfjtVIGgLHf3MAAAAASUVORK5C
 YII=
Date: Thu, 31 Mar 2022 20:19:05 +0800
In-Reply-To: <87a6d68j9k.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Thu,
 31 Mar 2022 13:16:07 +0200")
Message-ID: <m14k3etiva.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (macOS 11.6.5)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54648
Cc: 54648 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 2022-03-31 13:16 +0200, Lars Ingebrigtsen wrote:
> In emacs-28, the loaddefs files also have lexical binding, so this
> should be fixed now.  

I think the bigger issue is copying the definition verbatim to loaddefs.
It should be handled like `defun' i.e. only the name is copied.

Leo




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#54648; Package emacs. Full text available.
bug marked as fixed in version 28.1, send any further explanations to 54648 <at> debbugs.gnu.org and Leo Liu <sdl.web@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 54648 <at> debbugs.gnu.org:


Received: (at 54648) by debbugs.gnu.org; 31 Mar 2022 11:16:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 31 07:16:20 2022
Received: from localhost ([127.0.0.1]:38034 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nZsmq-0002O5-Nu
	for submit <at> debbugs.gnu.org; Thu, 31 Mar 2022 07:16:20 -0400
Received: from quimby.gnus.org ([95.216.78.240]:52946)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nZsmo-0002Nk-UZ
 for 54648 <at> debbugs.gnu.org; Thu, 31 Mar 2022 07:16:19 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=Az08FrMxC3q2j7lMzAfnodwkftmgLc8Zk/GhPqzp6RQ=; b=nNWEQbuuZdBS2NFXzHccEiCB3Z
 liBp/RcUjwctC3UUlcjd8I4cOsM9PUMyoJpM6MnqIoWP8GwjsCGTUtr5L9NJlGDvfDZPVsonjKa7P
 uqbT4qSuolEvFwx17RFfN3W91afSS5P865mAO8Vj8ZqGJNJAht9I6O+uEb6mSPP7zSOk=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nZsmg-0002rM-5i; Thu, 31 Mar 2022 13:16:12 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Leo Liu <sdl.web@HIDDEN>
Subject: Re: bug#54648: 27.2; Cannot autoload iter-defun
References: <m18rsqtvq8.fsf@HIDDEN>
Date: Thu, 31 Mar 2022 13:16:07 +0200
In-Reply-To: <m18rsqtvq8.fsf@HIDDEN> (Leo Liu's message of "Thu, 31 Mar
 2022 15:41:19 +0800")
Message-ID: <87a6d68j9k.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Leo Liu <sdl.web@HIDDEN> writes: > I just discovered that
 autoload is broken in the following example: > > ;;;autoload > (iter-defun
 i () (iter-yield 1)) > > The form is copied verbatim to the output and fails
 because of no > lexical [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 54648
Cc: 54648 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Leo Liu <sdl.web@HIDDEN> writes:

> I just discovered that autoload is broken in the following example:
>
>   ;;;autoload
>   (iter-defun i () (iter-yield 1))
>
> The form is copied verbatim to the output and fails because of no
> lexical-binding.

In emacs-28, the loaddefs files also have lexical binding, so this
should be fixed now.  

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#54648; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 31 Mar 2022 07:41:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 31 03:41:37 2022
Received: from localhost ([127.0.0.1]:37673 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nZpQu-0004lT-Lk
	for submit <at> debbugs.gnu.org; Thu, 31 Mar 2022 03:41:36 -0400
Received: from lists.gnu.org ([209.51.188.17]:54896)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sdl.web@HIDDEN>) id 1nZpQs-0004lL-VC
 for submit <at> debbugs.gnu.org; Thu, 31 Mar 2022 03:41:27 -0400
Received: from eggs.gnu.org ([209.51.188.92]:49924)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <sdl.web@HIDDEN>) id 1nZpQs-0000mH-N0
 for bug-gnu-emacs@HIDDEN; Thu, 31 Mar 2022 03:41:26 -0400
Received: from [2607:f8b0:4864:20::629] (port=34456
 helo=mail-pl1-x629.google.com)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <sdl.web@HIDDEN>) id 1nZpQr-0008Vm-54
 for bug-gnu-emacs@HIDDEN; Thu, 31 Mar 2022 03:41:26 -0400
Received: by mail-pl1-x629.google.com with SMTP id i11so22691714plr.1
 for <bug-gnu-emacs@HIDDEN>; Thu, 31 Mar 2022 00:41:24 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:subject:date:message-id:mime-version;
 bh=iK2vb76hMjdp2Flu19Jx7jbJDclk96vUBqNdG/cgQ6c=;
 b=Fn/tcSK/uQlPxRIxRb7sdK9TVLD6mJCtDgeOa33zoERggBE+jGn+RSZn+T2dqiRf1s
 iVhJyuq7GKyl2P7PiaVWP9HubaSIJxs7T/EmWzuMWidO1mVVS51LmmsQHhC1I2jE7V/S
 /qzkvJ65vwe4FXwVIupMUfDLYolaNu9mWwcICjzkb3Rr0LSuYzluGFkp4oGIDpJPJcAS
 bzkCxJh/UrlCrZxJ6/UupFuIyTwyvkJ6W9+RNlocqFZNjcGakeE776pe2xmHgqEHvHsg
 Qeflfu1nvQGrcL+jflMNCiILgq8HNrIaZhqcAhK5cMXrG9nyHyrXWJ+rlWsf61f8M0BU
 uL4Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version;
 bh=iK2vb76hMjdp2Flu19Jx7jbJDclk96vUBqNdG/cgQ6c=;
 b=geBz4XwOF/OCC2DLn4juzUeHku8VZ8S+hwMYSlEgrR0TCVu78Y9x8gU+JQNp5f/7ku
 D3TDJzorkd4BNtdUMKHedwGQxPo+IT2FafsQCt5aHcnLTyZl5+o1Q0AvOrqZxNMvsQL9
 EiOWzhlz/FdgLcLWw5RGJCWR4IkDTeFNDhhl9MkJUDUfTkbna2hWmm7PgVr0mAEEFGwq
 G0Ddaq0kW+RI6HI3/lNhbEvzGHsy+sZB5Vnjrde8bBjXTZv1pkWRvtWO/iUwp/BYj5+q
 5N0ybE+UO9xVIQvcLm8XNjvyz45oxB9Yx5qe3Iyhq+WkjYOKSXs7yGtW96mvLlOZ3OUc
 VpHQ==
X-Gm-Message-State: AOAM531d0aNLeX+NEsSSNIPzI7DmtuTZsML1KBK/V+zgY8jS492WGAdX
 0JzGm6DnRZEqugwhZU0ZPjBmachwgyYXAEOD
X-Google-Smtp-Source: ABdhPJziAjGDQdHqiP8as6yvFZYykqqIjrPcAuZB5BgS6CA8wDn5p5xKbB+b1RbOgaRWH9TXxtJdIA==
X-Received: by 2002:a17:90b:4a4b:b0:1c6:4398:523c with SMTP id
 lb11-20020a17090b4a4b00b001c64398523cmr4585792pjb.50.1648712482920; 
 Thu, 31 Mar 2022 00:41:22 -0700 (PDT)
Received: from zeuss-MacBook-Air.local ([119.92.1.225])
 by smtp.gmail.com with ESMTPSA id
 on12-20020a17090b1d0c00b001c7a548e4efsm9122573pjb.54.2022.03.31.00.41.21
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 31 Mar 2022 00:41:22 -0700 (PDT)
From: Leo Liu <sdl.web@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 27.2; Cannot autoload iter-defun
X-Debbugs-CC: 
Date: Thu, 31 Mar 2022 15:41:19 +0800
Message-ID: <m18rsqtvq8.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Host-Lookup-Failed: Reverse DNS lookup failed for 2607:f8b0:4864:20::629
 (failed)
Received-SPF: pass client-ip=2607:f8b0:4864:20::629;
 envelope-from=sdl.web@HIDDEN; helo=mail-pl1-x629.google.com
X-Spam_score_int: 12
X-Spam_score: 1.2
X-Spam_bar: +
X-Spam_report: (1.2 / 5.0 requ) BAYES_40=-0.001, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 PDS_HP_HELO_NORDNS=0.659, RCVD_IN_DNSWL_NONE=-0.0001, RDNS_NONE=0.793,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

I just discovered that autoload is broken in the following example:

  ;;;autoload
  (iter-defun i () (iter-yield 1))

The form is copied verbatim to the output and fails because of no
lexical-binding.




Acknowledgement sent to Leo Liu <sdl.web@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#54648; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 2 Apr 2022 15:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.